Debian Bug report logs - #559479
netsurf: FTBFS on GNU/kFreeBSD

version graph

Package: netsurf; Maintainer for netsurf is Vincent Sanders <vince@debian.org>; Source for netsurf is src:netsurf.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Fri, 4 Dec 2009 17:51:24 UTC

Severity: important

Tags: patch

Found in version netsurf/2.1-2

Fixed in version netsurf/2.1-2.1

Done: Axel Beckert <abe@deuxchevaux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>:
Bug#559479; Package netsurf. (Fri, 04 Dec 2009 17:51:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>. (Fri, 04 Dec 2009 17:51:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netsurf: FTBFS on GNU/kFreeBSD
Date: Fri, 04 Dec 2009 18:51:53 +0100
[Message part 1 (text/plain, inline)]
Package: netsurf
Version: 2.1-2
Severity: important
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package FTBFS on GNU/kFreeBSD due to buildsys-related issues
(trying to use foo-$platform-bar doesn't work well when $platform
contains a / :)). To fix it, I made GNU/kFreeBSD look like it's actually
Linux, and this went fine.

Small tweaks are needed in debian/rules too given there's no linuxfb to
copy files from. You may need to adjust the Architecture line of some
packages because I don't think it'd be nice to have empty packages on
non-Linux ports when it comes to packages specifically for the Linux
FrameBuffer. I didn't dig into that, though, the attached patch only
makes it possible to run “debuild” in the source tree.

Thanks for considering.

Mraw,
KiBi.
[netsurf+kbsd.diff (text/plain, attachment)]

Reply sent to Axel Beckert <abe@deuxchevaux.org>:
You have taken responsibility. (Sat, 23 Jan 2010 23:03:19 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 23:03:19 GMT) Full text and rfc822 format available.

Message #10 received at 559479-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 559479-close@bugs.debian.org
Subject: Bug#559479: fixed in netsurf 2.1-2.1
Date: Sat, 23 Jan 2010 23:02:30 +0000
Source: netsurf
Source-Version: 2.1-2.1

We believe that the bug you reported is fixed in the latest version of
netsurf, which is due to be installed in the Debian FTP archive:

netsurf-framebuffer-common_2.1-2.1_all.deb
  to main/n/netsurf/netsurf-framebuffer-common_2.1-2.1_all.deb
netsurf-gtk_2.1-2.1_amd64.deb
  to main/n/netsurf/netsurf-gtk_2.1-2.1_amd64.deb
netsurf-linuxfb_2.1-2.1_amd64.deb
  to main/n/netsurf/netsurf-linuxfb_2.1-2.1_amd64.deb
netsurf-sdl_2.1-2.1_amd64.deb
  to main/n/netsurf/netsurf-sdl_2.1-2.1_amd64.deb
netsurf-vnc_2.1-2.1_amd64.deb
  to main/n/netsurf/netsurf-vnc_2.1-2.1_amd64.deb
netsurf_2.1-2.1.diff.gz
  to main/n/netsurf/netsurf_2.1-2.1.diff.gz
netsurf_2.1-2.1.dsc
  to main/n/netsurf/netsurf_2.1-2.1.dsc
netsurf_2.1-2.1_all.deb
  to main/n/netsurf/netsurf_2.1-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@deuxchevaux.org> (supplier of updated netsurf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jan 2010 19:14:01 +0100
Source: netsurf
Binary: netsurf netsurf-gtk netsurf-framebuffer-common netsurf-linuxfb netsurf-sdl netsurf-vnc
Architecture: source all amd64
Version: 2.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>
Changed-By: Axel Beckert <abe@deuxchevaux.org>
Description: 
 netsurf    - Small portable web browser with CSS and Unicode support - Transit
 netsurf-framebuffer-common - Common resources for all NetSurf framebuffer targets
 netsurf-gtk - Small portable web browser with CSS and Unicode support - GTK ver
 netsurf-linuxfb - Small portable web browser with CSS and Unicode support - LinuxFB
 netsurf-sdl - Small portable web browser with CSS and Unicode support - SDL ver
 netsurf-vnc - Small portable web browser with CSS and Unicode support - VNC ser
Closes: 559479
Changes: 
 netsurf (2.1-2.1) unstable; urgency=low
 .
   * NMU from Moenchengladbach BSP
   * Fixes FTBFS on kFreeBSD (Closes: #559479)
Checksums-Sha1: 
 91ef9a3471c0e218d1a9d037ece9e83b9420254e 1386 netsurf_2.1-2.1.dsc
 388c7ea3df45a172fec173a5f1f79046f9b1c640 7847 netsurf_2.1-2.1.diff.gz
 8a1e55063d15a4b2b201c10f573dcc95f61c7b71 7426 netsurf_2.1-2.1_all.deb
 5413ab5eb9a0a79e15e29309c81ee12fcf91a69c 26676 netsurf-framebuffer-common_2.1-2.1_all.deb
 cb9ab2c0bfaf8d460c6d8f395efd64ca82682fca 500166 netsurf-gtk_2.1-2.1_amd64.deb
 20aadeb2c8c375ab054b5c94f4e600244ec3b476 269624 netsurf-linuxfb_2.1-2.1_amd64.deb
 892490a9b182da2dcd754e96cc2368ca88d29c27 266696 netsurf-sdl_2.1-2.1_amd64.deb
 18eb5814f01a6c66d0e12826eccac10914c75bb7 266632 netsurf-vnc_2.1-2.1_amd64.deb
Checksums-Sha256: 
 c3a8334523f11a5dc34fe857782b307de34e7621961a5c21fa2879e3dcdf7a0a 1386 netsurf_2.1-2.1.dsc
 896b24cea2d08e760def19dcafcbe47da6c7d6dab05cb978a1cedeb29369692e 7847 netsurf_2.1-2.1.diff.gz
 42f47b569ff325a11b9b97ac0e5e7d2642c72deb0cf106281648ff125b272abd 7426 netsurf_2.1-2.1_all.deb
 17bb1dbfb1b7b98ffc53c976c069fb2ea815aaa7db69760a1a275a1a2ee3a06f 26676 netsurf-framebuffer-common_2.1-2.1_all.deb
 98c67b8770bc0c1182fee5cc45835b9a056024dfc4307ca880f8540212a90bcd 500166 netsurf-gtk_2.1-2.1_amd64.deb
 c91c5dcc6d2c6153c67f42bf8a98cd8a0e93fb5f86cb3e2a23d2ab611fbe2d00 269624 netsurf-linuxfb_2.1-2.1_amd64.deb
 5941a17368ba48710edc76594ac2ee081a2a6ba43bbd67d2cb0d6faeb4f40640 266696 netsurf-sdl_2.1-2.1_amd64.deb
 75163011dad8fc50bd16cfd49fd96bb3b10685e4e22221e3218385b5e5959bbe 266632 netsurf-vnc_2.1-2.1_amd64.deb
Files: 
 7f37c68ceaf822ea3c6fd6a32a30762b 1386 web extra netsurf_2.1-2.1.dsc
 d940b415b81e28a6c66d6f371c03c867 7847 web extra netsurf_2.1-2.1.diff.gz
 754f0cf3b3809a8df6c6fd336bff8346 7426 web extra netsurf_2.1-2.1_all.deb
 76f46d7d21f495010913ec51fe8282ca 26676 web extra netsurf-framebuffer-common_2.1-2.1_all.deb
 643757a8d97e5881cb464bfbcd7e9d0f 500166 web extra netsurf-gtk_2.1-2.1_amd64.deb
 60297a3617a10bad12a686820fccf011 269624 web extra netsurf-linuxfb_2.1-2.1_amd64.deb
 6e79c5264740da5b5edb13e9c2122508 266696 web extra netsurf-sdl_2.1-2.1_amd64.deb
 3fbb086667048e2bb2a249feb0b2684a 266632 web extra netsurf-vnc_2.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktbQZ8ACgkQxa93SlhRC1rReACePDKzMAS8QlfOkykYTee4mBbL
DbUAnjXNAuInWFbITQPwpYm1RzazxlSY
=YbNO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Feb 2010 07:45:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:24:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.